/// <reference types="node" />
import Client, { AddTorrentOptions } from '../models/Client';
import DelugeTorrent from './DelugeTorrent';
import Options from './options';
export default class DelugeClient extends Client<Options> {
    connect(): Promise<void>;
    getTorrents(): Promise<DelugeTorrent[]>;
    addFiles(torrents: (string | Buffer)[], opts: AddTorrentOptions): Promise<DelugeTorrent[]>;
    addMagnet(torrent: string, opts: AddTorrentOptions): Promise<DelugeTorrent>;
    getTorrent(hash: string): Promise<DelugeTorrent>;
}
