export declare type ErrorCodes = 'unauthorized_access' | 'wrong_credentials' | 'wrong_request' | 'server_error' | 'offline_server' | 'unknown_error';
declare class ClientError extends Error {
    code: string;
    constructor(code: ErrorCodes, message?: string);
}
export default ClientError;
export declare const ErrorTypes: {
    unauthorized_access: string;
    wrong_credentials: string;
    wrong_request: string;
    server_error: string;
    offline_server: string;
    unknown_error: string;
};
