"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ClientError = (function (_super) {
    __extends(ClientError, _super);
    function ClientError(code, message) {
        if (message === void 0) { message = ''; }
        var _this = _super.call(this, message) || this;
        _this.code = code;
        _this.name = _this.constructor.name;
        return _this;
    }
    return ClientError;
}(Error));
exports.default = ClientError;
exports.ErrorTypes = {
    unauthorized_access: 'unauthorized_access',
    wrong_credentials: 'wrong_credentials',
    wrong_request: 'wrong_request',
    server_error: 'server_error',
    offline_server: 'offline_server',
    unknown_error: 'unknown_error',
};
//# sourceMappingURL=ClientError.js.map