"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("events");
var Torrent = (function (_super) {
    __extends(Torrent, _super);
    function Torrent(opts, hash, props) {
        var _this = _super.call(this) || this;
        _this.live = false;
        _this.opts = opts;
        _this._hash = hash;
        _this.props = props;
        return _this;
    }
    Torrent.prototype.on = function (event, listener) {
        _super.prototype.on.call(this, event, listener);
        return this;
    };
    Torrent.prototype.emit = function (event) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        var res = _super.prototype.emit.apply(this, [event].concat(args));
        return res;
    };
    Object.defineProperty(Torrent.prototype, "progress", {
        get: function () {
            return this.props.progress;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Torrent.prototype, "name", {
        get: function () {
            return this.props.name;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Torrent.prototype, "uploadRate", {
        get: function () {
            return this.props.uploadRate;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Torrent.prototype, "downloadRate", {
        get: function () {
            return this.props.downloadRate;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Torrent.prototype, "status", {
        get: function () {
            return this.props.status;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Torrent.prototype, "hash", {
        get: function () {
            return this._hash;
        },
        enumerable: true,
        configurable: true
    });
    return Torrent;
}(events_1.EventEmitter));
exports.default = Torrent;
//# sourceMappingURL=Torrent.js.map