import Torrent, { TorrentProps, TorrentStates } from '../models/Torrent';
import Options from './options';
export declare const statusMap: {
    [name: string]: TorrentStates;
};
export declare function mapResultToProps(res: any): TorrentProps;
export default class DelugeTorrent extends Torrent<Options> {
    private interval;
    constructor(opts: Options, hash: string, props: TorrentProps);
    liveFeed(polling?: number): void;
    update(): Promise<void>;
    pause(): Promise<void>;
    resume(): Promise<void>;
    remove(deleteData: boolean): Promise<void>;
}
