export interface ConfigItem<T> {
    name: string;
    label: string;
    type: 'number' | 'string' | 'boolean';
    default: T;
    validate?: (val: T) => string | undefined;
    description?: string;
    sensitive?: boolean;
    password?: boolean;
}
export declare type Config = ConfigItem<string | number | boolean>[];
